> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /coolblue/products

> Get full Coolblue product details by product id (or product URL): name, short_name, description, highlights, brand, image, gallery images, price, sales_price (incl/excl VAT), list_price (when discounted), currency, availability, condition, rating, review_count, review_meta (rating distribution and per-category scores), category breadcrumbs, product_type, pros, cons, included_in_box, manual (PDF), energy_label, alternatives (related products), second_chance (refurbished variant), promotional_content (active promo label/icon/boxes), sub_products (component items for bundle/composite products) and more.

**Price:** 10 credits

**⚠️ Common errors:** 412: Product not found (well-formed but nonexistent product id)



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/coolblue/products
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/coolblue/products:
    post:
      tags:
        - /coolblue
      summary: /coolblue/products
      description: >-
        Get full Coolblue product details by product id (or product URL): name,
        short_name, description, highlights, brand, image, gallery images,
        price, sales_price (incl/excl VAT), list_price (when discounted),
        currency, availability, condition, rating, review_count, review_meta
        (rating distribution and per-category scores), category breadcrumbs,
        product_type, pros, cons, included_in_box, manual (PDF), energy_label,
        alternatives (related products), second_chance (refurbished variant),
        promotional_content (active promo label/icon/boxes), sub_products
        (component items for bundle/composite products) and more.


        **Price:** 10 credits


        **⚠️ Common errors:** 412: Product not found (well-formed but
        nonexistent product id)
      operationId: __api_coolblue_products_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CoolblueProductsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CoolblueProduct'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CoolblueProductsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        product:
          type: string
          minLength: 1
      type: object
      required:
        - product
    CoolblueProduct:
      properties:
        '@type':
          type: string
          default: CoolblueProduct
        id:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        short_name:
          anyOf:
            - type: string
            - type: 'null'
        highlights:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        brand:
          anyOf:
            - $ref: '#/components/schemas/CoolblueBrand'
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        price:
          anyOf:
            - type: number
            - type: 'null'
        list_price:
          anyOf:
            - type: number
            - type: 'null'
        sales_price:
          anyOf:
            - $ref: '#/components/schemas/CoolblueProductSalesPrice'
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        availability:
          anyOf:
            - type: string
            - type: 'null'
        availability_state:
          anyOf:
            - type: string
            - type: 'null'
        is_in_stock:
          anyOf:
            - type: boolean
            - type: 'null'
        condition:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        best_rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        review_meta:
          anyOf:
            - $ref: '#/components/schemas/CoolblueProductReviewMeta'
            - type: 'null'
        category:
          anyOf:
            - $ref: '#/components/schemas/CoolblueCategoryRef'
            - type: 'null'
        breadcrumbs:
          items:
            $ref: '#/components/schemas/CoolblueCategoryRef'
          type: array
          default: []
        product_type:
          anyOf:
            - $ref: '#/components/schemas/CoolblueProductType'
            - type: 'null'
        sub_product_type_id:
          anyOf:
            - type: integer
            - type: 'null'
        pros:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        cons:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        included_in_box:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        manual:
          anyOf:
            - $ref: '#/components/schemas/CoolblueProductManual'
            - type: 'null'
        energy_label:
          anyOf:
            - $ref: '#/components/schemas/CoolblueEnergyLabel'
            - type: 'null'
        expected_release_date:
          anyOf:
            - type: string
            - type: 'null'
        is_leasable:
          anyOf:
            - type: boolean
            - type: 'null'
        is_composed_product:
          anyOf:
            - type: boolean
            - type: 'null'
        cross_sell_only:
          anyOf:
            - type: boolean
            - type: 'null'
        is_part_of_closed_community:
          anyOf:
            - type: boolean
            - type: 'null'
        has_accessories:
          anyOf:
            - type: boolean
            - type: 'null'
        has_product_support_hub:
          anyOf:
            - type: boolean
            - type: 'null'
        has_usb_c_charger_included:
          anyOf:
            - type: boolean
            - type: 'null'
        alternatives:
          anyOf:
            - items:
                $ref: '#/components/schemas/CoolblueProductRef'
              type: array
            - type: 'null'
        second_chance:
          anyOf:
            - $ref: '#/components/schemas/CoolblueProductSecondChance'
            - type: 'null'
        subscription:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
        promotional_content:
          anyOf:
            - $ref: '#/components/schemas/CoolblueProductPromotion'
            - type: 'null'
        sub_products:
          anyOf:
            - items:
                $ref: '#/components/schemas/CoolblueSubProduct'
              type: array
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        gtin:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CoolblueBrand:
      properties:
        '@type':
          type: string
          default: CoolblueBrand
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    CoolblueProductSalesPrice:
      properties:
        '@type':
          type: string
          default: CoolblueProductSalesPrice
        including_vat:
          anyOf:
            - type: number
            - type: 'null'
        excluding_vat:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    CoolblueProductReviewMeta:
      properties:
        '@type':
          type: string
          default: CoolblueProductReviewMeta
        average_rating:
          anyOf:
            - type: number
            - type: 'null'
        count:
          anyOf:
            - type: integer
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        rating_per_category:
          items:
            $ref: '#/components/schemas/CoolblueReviewCategoryScore'
          type: array
          default: []
        count_per_rating:
          items:
            $ref: '#/components/schemas/CoolblueReviewRatingCount'
          type: array
          default: []
      type: object
    CoolblueCategoryRef:
      properties:
        '@type':
          type: string
          default: CoolblueCategoryRef
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    CoolblueProductType:
      properties:
        '@type':
          type: string
          default: CoolblueProductType
        id:
          anyOf:
            - type: integer
            - type: 'null'
        slug:
          anyOf:
            - type: string
            - type: 'null'
        singular_name:
          anyOf:
            - type: string
            - type: 'null'
        plural_name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    CoolblueProductManual:
      properties:
        '@type':
          type: string
          default: CoolblueProductManual
        url:
          type: string
        size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - url
    CoolblueEnergyLabel:
      properties:
        '@type':
          type: string
          default: CoolblueEnergyLabel
        level:
          anyOf:
            - type: string
            - type: 'null'
        version:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        specification_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    CoolblueProductRef:
      properties:
        '@type':
          type: string
          default: CoolblueProductRef
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    CoolblueProductSecondChance:
      properties:
        '@type':
          type: string
          default: CoolblueProductSecondChance
        id:
          anyOf:
            - type: string
            - type: 'null'
        sales_price:
          anyOf:
            - $ref: '#/components/schemas/CoolblueProductSalesPrice'
            - type: 'null'
      type: object
    CoolblueProductPromotion:
      properties:
        '@type':
          type: string
          default: CoolblueProductPromotion
        label:
          anyOf:
            - $ref: '#/components/schemas/CoolblueProductPromoLabel'
            - type: 'null'
        icon:
          anyOf:
            - $ref: '#/components/schemas/CoolblueProductPromoIcon'
            - type: 'null'
        boxes:
          anyOf:
            - items:
                $ref: '#/components/schemas/CoolblueProductPromoBox'
              type: array
            - type: 'null'
      type: object
    CoolblueSubProduct:
      properties:
        '@type':
          type: string
          default: CoolblueSubProduct
        product:
          $ref: '#/components/schemas/CoolblueSubProductRef'
        quantity:
          anyOf:
            - type: integer
            - type: 'null'
        is_main_product:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - product
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    CoolblueReviewCategoryScore:
      properties:
        '@type':
          type: string
          default: CoolblueReviewCategoryScore
        name:
          type: string
        average_rating:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - name
    CoolblueReviewRatingCount:
      properties:
        '@type':
          type: string
          default: CoolblueReviewRatingCount
        stars:
          type: integer
        count:
          type: integer
      type: object
      required:
        - stars
        - count
    CoolblueProductPromoLabel:
      properties:
        '@type':
          type: string
          default: CoolblueProductPromoLabel
        label:
          type: string
        details:
          anyOf:
            - $ref: '#/components/schemas/CoolblueProductPromoDetails'
            - type: 'null'
      type: object
      required:
        - label
    CoolblueProductPromoIcon:
      properties:
        '@type':
          type: string
          default: CoolblueProductPromoIcon
        alt_text:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        details:
          anyOf:
            - $ref: '#/components/schemas/CoolblueProductPromoDetails'
            - type: 'null'
      type: object
    CoolblueProductPromoBox:
      properties:
        '@type':
          type: string
          default: CoolblueProductPromoBox
        id:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        text_markdown:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    CoolblueSubProductRef:
      properties:
        '@type':
          type: string
          default: CoolblueSubProductRef
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    CoolblueProductPromoDetails:
      properties:
        '@type':
          type: string
          default: CoolblueProductPromoDetails
        explanation:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````